[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TEditDelete.UpdateTarget

Updates the enabled state for the action.

## Declaration

Source position: stdactns.pas line 85

`public procedure TEditDelete.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Object instance with values examined in the method.

## Description

UpdateTarget is an overridden method used to update values in the action based on settings in the specified Target control. UpdateTarget re-implements the method introduced in the ancestor class.

Target is the object instance with values examined in the method. It is cast to the TCustomEdit type used in the Control property, and sets Enabled to True when text is currently selected in the control.

UpdateTarget is called from the UpdateActions method in TCustomForm when actions and action lists are updated during an application idle state.

## See also

TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
TCustomEdit.SelLength |  | The number of currently selected UTF-8-encoded characters in the control.
TBasicAction.UpdateTarget